Bug 192893 - [update]: make science/py-scipy concurrently available to all Python version
Summary: [update]: make science/py-scipy concurrently available to all Python version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-21 17:51 UTC by Marcus von Appen
Modified: 2014-09-02 19:01 UTC (History)
1 user (show)

See Also:


Attachments
py-scipy Update (792 bytes, patch)
2014-08-21 17:51 UTC, Marcus von Appen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus von Appen freebsd_committer freebsd_triage 2014-08-21 17:51:34 UTC
Created attachment 146118 [details]
py-scipy Update

The attached patch makes py-scipy concurrently availabe for all Python versions, now that py-numpy can be installed concurrently.

I did not see a specific reason for LATEST_LINK and the OPTIONSFILE (and could not find anything of relevance in the commit history), so I removed those.
Comment 1 Wen Heping freebsd_committer 2014-08-22 01:22:36 UTC
Approved, would you commit it ?
Thanks !

wen
Comment 2 commit-hook freebsd_committer 2014-09-02 19:01:24 UTC
A commit references this bug:

Author: mva
Date: Tue Sep  2 19:00:28 UTC 2014
New revision: 367073
URL: http://svnweb.freebsd.org/changeset/ports/367073

Log:
  - Enable concurrent installation support for different python versions
  - Remove LATEST_LINK and the usage of math/py-numpy's options - both do not
    seem to have any value for the port

  PR:		192893
  Submitted by:	myself
  Approved by:	wen@ (maintainer)

Changes:
  head/science/py-scipy/Makefile
Comment 3 Marcus von Appen freebsd_committer freebsd_triage 2014-09-02 19:01:42 UTC
Committed, thanks!